#
# spec file for package cpuspeed (Version 1.2.1)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  gcc-c++ libstdc++ libstdc++-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gcc-c++ gdbm gettext libstdc++-devel libtool perl rpm

Name:         cpuspeed
Version:      1.2.1
Release:      1
License:      GPL
Group:        System/Daemons
Autoreqprov:  on
PreReq:       %insserv_prereq %fillup_prereq
Summary:      Control CPU Clock Speed on some Mobile CPUs
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.dif
Patch2:       non-root.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Provides:     cpufreqd
Obsoletes:    cpufreqd

%description
CPUFreqD is used to monitor CPU usage, the systems's temperature and
the state of the power supply, and to adjust the CPU frequency in order
to preserve battery power while providing optimal performance. The
daemon's behavior is fully configurable.



Authors:
--------
    Carl Thompson <cet@carlthompson.net>

%prep
%setup
%patch -p1
%patch2

%build
make all CFLAGS="$RPM_OPT_FLAGS "

%install
[ "%{buildroot}" != "/" ] && [ -d %{buildroot} ] && rm -rf %{buildroot}
make TARGET_DIR=%{buildroot} MANDIR=%{_mandir} install
install -D rccpuspeed %{buildroot}/etc/init.d/cpuspeed
ln -sf ../../etc/init.d/cpuspeed %{buildroot}/usr/sbin/rccpuspeed
install -D sysconfig.cpuspeed \
     %{buildroot}/var/adm/fillup-templates/sysconfig.powermanagement-cpuspeed
install -D README.SuSE %{buildroot}/%{_docdir}/cpuspeed/README.SuSE
install -D README %{buildroot}/%{_docdir}/cpuspeed/README
install -D CHANGES %{buildroot}/%{_docdir}/cpuspeed/CHANGES
install -D FEATURES %{buildroot}/%{_docdir}/cpuspeed/FEATURES
install -D USAGE %{buildroot}/%{_docdir}/cpuspeed/USAGE

%post
%{fillup_only -n -a powermanagement}
%{fillup_and_insserv -f cpuspeed}

%postun
%restart_on_update cpuspeed
%{insserv_cleanup}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %attr(644,root,root)%{_mandir}/*/*
%attr(740,root,root)/usr/sbin/cpuspeed
%attr(744,root,root)/usr/sbin/rccpuspeed
%attr(744,root,root)/etc/init.d/cpuspeed
%doc %attr(644,root,root)%{_docdir}/cpuspeed
%doc %attr(644,root,root)%{_docdir}/cpuspeed/*
%attr(644,root,root)/var/adm/fillup-templates/sysconfig.powermanagement-cpuspeed

%preun 
%stop_on_removal cpuspeed

%changelog -n cpuspeed
* Tue Jan 11 2005 - ro@suse.de
- added provides for old package name (again)
* Mon Jan 10 2005 - trenn@suse.de
- updated cpuspeed to version 1.2.1
- preserve old sysconfig variables (CPUFREQD_* in
  /etc/sysconfig/powermanagement)
* Thu Dec 23 2004 - trenn@suse.de
- changed package name, cpufreqd is now called cpuspeed
* Tue Apr 20 2004 - trenn@suse.de
- main() -> void main() to avoid compiler warnings that prevented package to buid
* Mon Mar 22 2004 - trenn@suse.de
- check whether machine has multiple processor's in rccpufreqd, if yes, skip
* Tue Mar 16 2004 - seife@suse.de
- %%restart_on_update in %%postun fixed (cpufreq -> cpufreqd)
* Mon Mar 15 2004 - seife@suse.de
- change to sysfs and fix sysfs-paths, module name in init script
  (bug #35936)
* Fri Mar 12 2004 - behlert@suse.de
- fixed typo in /etc/init.d/cpufreqd that prevents working cpufreqd
* Wed Mar 03 2004 - trenn@suse.de
- add %%restart_on_update and %%stop_on_removal in .spec file
* Fri Nov 07 2003 - trenn@suse.de
- added p4-clockmod module support
* Thu Sep 18 2003 - zoz@suse.de
- changed head -1 to head -n 1 and feedback@suse.de to
  http://www.suse.de/feedbackin init script (Bug 31227)
* Tue Sep 16 2003 - trenn@suse.de
- bug 31036 -> speedstep-ich instead of speedstep_ich
* Thu Sep 11 2003 - trenn@suse.de
- added missing PreReq for insserv & fillup
* Wed Sep 10 2003 - trenn@suse.de
- fixed wrong path in logger output to /etc/sysconfig/powermanagement
* Tue Sep 09 2003 - ro@suse.de
- use rc-script tag "X-UnitedLinux-Default-Enabled"
* Tue Sep 09 2003 - trenn@suse.de
- start cpufreqd by default
  if modules not loadable -> skipped instead of failed in start script
* Thu Sep 04 2003 - trenn@suse.de
- deleted user-guide.txt again and put relevant info into README.SuSE
* Tue Sep 02 2003 - trenn@suse.de
- cleaned up code
  add user-guide.txt to %%doc
  module to load configurable in sysconfig.powermangement
* Thu Aug 28 2003 - trenn@suse.de
- added activation tags (sysconfig.cpufreq)
  added powernow-k8 and speedstep(for kern.2.6) modules (rccpufreq)
  checked for already loaded modules (rccpufreq)
* Mon Aug 25 2003 - trenn@suse.de
- added speedstep-centrino module to load
* Wed Jun 18 2003 - ro@suse.de
- added directory to filelist
* Mon May 12 2003 - ro@suse.de
- use g++ where needed
* Fri Apr 04 2003 - zoz@suse.de
- initial version 0.0.1
- added apm support
- added manpage and README.SuSE
- added tool procspeed to get CPU clock independant from cpufreq
- configuration variables are in /etc/sysconfig/powermanagement
